Loading...
Searching...
No Matches
Magick::colorizeImage Class Reference

## Public Member Functions

| colorizeImage (const unsigned int alphaRed_, const unsigned int alphaGreen_, const unsigned int alphaBlue_, const Color &penColor_)
| colorizeImage (const unsigned int alpha_, const Color &penColor_)
void | operator() (Image &image_) const

## Private Attributes

unsigned int | _alphaRed
unsigned int | _alphaGreen
unsigned int | _alphaBlue
Color | _penColor

## Detailed Description

Definition at line 217 of file STL.h.

## Constructor & Destructor Documentation

## colorizeImage() [1/2]

Magick::colorizeImage::colorizeImage | ( | const unsigned int | alphaRed_,
|  | const unsigned int | alphaGreen_,
|  | const unsigned int | alphaBlue_,
|  | const Color & | penColor_ )

Definition at line 180 of file STL.cpp.

: _alphaRed ( alphaRed_ ),
_alphaGreen ( alphaGreen_ ),
_alphaBlue ( alphaBlue_ ),
_penColor( penColor_ )
{
}

## colorizeImage() [2/2]

Magick::colorizeImage::colorizeImage | ( | const unsigned int | alpha_,
|  | const Color & | penColor_ )

Definition at line 190 of file STL.cpp.

: _alphaRed ( alpha_ ),
_alphaGreen ( alpha_ ),
_alphaBlue ( alpha_ ),
_penColor( penColor_ )
{
}

## Member Function Documentation

## operator()()

void Magick::colorizeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 198 of file STL.cpp.

{
image_.colorize( _alphaRed, _alphaGreen, _alphaBlue, _penColor );
}

## Field Documentation

## _alphaBlue

unsigned int Magick::colorizeImage::_alphaBlue

private

Definition at line 233 of file STL.h.

## _alphaGreen

unsigned int Magick::colorizeImage::_alphaGreen

private

Definition at line 232 of file STL.h.

## _alphaRed

unsigned int Magick::colorizeImage::_alphaRed

private

Definition at line 231 of file STL.h.

## _penColor

Color Magick::colorizeImage::_penColor

private

Definition at line 234 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp